curl --request POST \
--url https://api.getcortexapp.com/api/v1/eng-intel/trace \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"attributes": [
"<string>"
],
"endDate": "2023-11-07T05:31:56Z",
"filters": [
{
"attribute": "<string>",
"predicate": {}
}
],
"limit": 123,
"orderBy": [
{
"attribute": "<string>"
}
],
"source": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"daysOfWeek": [
123
],
"nextPage": "<string>",
"timeAttribute": "<string>"
}
'import requests
url = "https://api.getcortexapp.com/api/v1/eng-intel/trace"
payload = {
"attributes": ["<string>"],
"endDate": "2023-11-07T05:31:56Z",
"filters": [
{
"attribute": "<string>",
"predicate": {}
}
],
"limit": 123,
"orderBy": [{ "attribute": "<string>" }],
"source": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"daysOfWeek": [123],
"nextPage": "<string>",
"timeAttribute": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
attributes: ['<string>'],
endDate: '2023-11-07T05:31:56Z',
filters: [{attribute: '<string>', predicate: {}}],
limit: 123,
orderBy: [{attribute: '<string>'}],
source: '<string>',
startDate: '2023-11-07T05:31:56Z',
daysOfWeek: [123],
nextPage: '<string>',
timeAttribute: '<string>'
})
};
fetch('https://api.getcortexapp.com/api/v1/eng-intel/trace', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"columns": [
{
"alias": "<string>",
"name": "<string>",
"ordinal": 123,
"type": "<string>",
"aggregationFunction": "SUM",
"attributeName": "<string>",
"resultType": "STRING",
"category": "<string>",
"description": "<string>"
}
],
"nextPage": "<string>"
},
"rows": [
[
"cortexapps/brain-backend",
42,
"2026-01-15T09:30:00"
],
[
"cortexapps/brain-app",
7,
null
]
]
}{
"metadata": {
"columns": [
{
"alias": "<string>",
"name": "<string>",
"ordinal": 123,
"type": "<string>",
"aggregationFunction": "SUM",
"attributeName": "<string>",
"resultType": "STRING",
"category": "<string>",
"description": "<string>"
}
],
"nextPage": "<string>"
},
"rows": [
[
"cortexapps/brain-backend",
42,
"2026-01-15T09:30:00"
],
[
"cortexapps/brain-app",
7,
null
]
]
}{
"metadata": {
"columns": [
{
"alias": "<string>",
"name": "<string>",
"ordinal": 123,
"type": "<string>",
"aggregationFunction": "SUM",
"attributeName": "<string>",
"resultType": "STRING",
"category": "<string>",
"description": "<string>"
}
],
"nextPage": "<string>"
},
"rows": [
[
"cortexapps/brain-backend",
42,
"2026-01-15T09:30:00"
],
[
"cortexapps/brain-app",
7,
null
]
]
}{
"status": 429,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"instance": "<string>",
"retryAfter": 1
}Query raw trace events from engineering data sources
Retrieve individual event records with flexible filtering, ordering, and pagination. Supports any engineering data source registered in the registry.
Authorizations
All requests to the Cortex API need to provide an Authorization: Bearer <token> header, where <token> is an API key created in the Settings page of your workspace.
Body
List of attribute names to include in results. Empty returns all attributes.
List of attribute names to include in results. Empty returns all attributes.
End of the time range to query
Filters to apply to the query
Show child attributes
Show child attributes
Maximum number of results to return (max 500)
Ordering specification for results
Show child attributes
Show child attributes
Data source to query (e.g., 'pull_requests', 'deployments')
Start of the time range to query
Optional day-of-week restriction (ISO: Monday=1..Sunday=7). When set, only events whose time attribute falls on one of these days are returned (e.g. [1,2,3,4,5] excludes weekends).
Optional day-of-week restriction (ISO: Monday=1..Sunday=7). When set, only events whose time attribute falls on one of these days are returned (e.g. [1,2,3,4,5] excludes weekends).
Pagination cursor from a previous response
Override the default time attribute for time-based filtering
Response
Successfully executed trace query
Query metadata describing the structure of returned columns
Show child attributes
Show child attributes
Result rows, one array per event. Cells are positional: the value at index i corresponds to metadata.columns[i], and its JSON type follows that column's type (string, number, boolean, or null). Rows are not keyed by column name.
Result rows, one array per event. Cells are positional: the value at index i corresponds to metadata.columns[i], and its JSON type follows that column's type (string, number, boolean, or null). Rows are not keyed by column name.
[
[
"cortexapps/brain-backend",
42,
"2026-01-15T09:30:00"
],
["cortexapps/brain-app", 7, null]
]
[
[
"cortexapps/brain-backend",
42,
"2026-01-15T09:30:00"
],
["cortexapps/brain-app", 7, null]
]